std::new_handler(3)

NAME
std::new_handler - std::new_handler

Synopsis
   Defined in header <new>
   typedef void (*new_handler)();
   std::new_handler is the function pointer type (pointer to function that takes no
   arguments and returns void), which is used by the functions std::set_new_handler and
   std::get_new_handler

See also
   operator new allocation functions
   operator new[] (function)
   set_new_handler registers a new handler
                   (function)
   get_new_handler obtains the current new handler
   (C++11) (function)